### Hierarchy

- MailMessage

## Index

### Constructors

- constructor

### Properties

- data
- mailer
- message

### Methods

- normalize
- resolveAll
- resolveContent
- setListHeaders
- setMailerHeader
- setPriorityHeaders

## Constructors

### constructor

- new MailMessage(mailer: Mail, data: Options): MailMessage

- - Defined in node_modules/@types/nodemailer/lib/mailer/mail-message.d.ts:11

  #### Parameters

  - ##### mailer: Mail

  - ##### data: Options

  #### Returns MailMessage

## Properties

### data

data: Options

- Defined in node_modules/@types/nodemailer/lib/mailer/mail-message.d.ts:10

### mailer

mailer: Mail

- Defined in node_modules/@types/nodemailer/lib/mailer/mail-message.d.ts:9

### message

message: MimeNode

- Defined in node_modules/@types/nodemailer/lib/mailer/mail-message.d.ts:11

## Methods

### normalize

- normalize(callback: function): void

- - Defined in node_modules/@types/nodemailer/lib/mailer/mail-message.d.ts:19

  #### Parameters

  - ##### callback: function

    - - (err?: Error | null, data?: Options): void

      - #### Parameters

        - ##### Optional err: Error | null

        - ##### Optional data: Options

        #### Returns void

### resolveAll

- resolveAll(callback: function): void

- - Defined in node_modules/@types/nodemailer/lib/mailer/mail-message.d.ts:17

  #### Parameters

  - ##### callback: function

    - - (err?: Error | null, data?: Options): void

      - #### Parameters

        - ##### Optional err: Error | null

        - ##### Optional data: Options

        #### Returns void

### resolveContent

- resolveContent(data: object | any[], key: string | number, callback: function): Promise<any>

- - Defined in node_modules/@types/nodemailer/lib/mailer/mail-message.d.ts:15

  #### Parameters

  - ##### data: object | any[]

  - ##### key: string | number

  - ##### callback: function

    - - (err: Error | null, value?: any): any

      - #### Parameters

        - ##### err: Error | null

        - ##### Optional value: any

        #### Returns any

  #### Returns Promise<any>

### setListHeaders

- setListHeaders(): void

- - Defined in node_modules/@types/nodemailer/lib/mailer/mail-message.d.ts:25

  #### Returns void

### setMailerHeader

- setMailerHeader(): void

- - Defined in node_modules/@types/nodemailer/lib/mailer/mail-message.d.ts:21

  #### Returns void

### setPriorityHeaders

- setPriorityHeaders(): void

- - Defined in node_modules/@types/nodemailer/lib/mailer/mail-message.d.ts:23

  #### Returns void

Generated using TypeDoc